package com.heyu.api.data.dao.calca;
/**
* <p>
* 按天统计 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.CalcaHoursStatisticsEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface CalcaHoursStatisticsDao extends BaseMapper<CalcaHoursStatisticsEntity> {


	CalcaHoursStatisticsEntity selectCalcaHoursStatisticsById(@Param("id")Long id);


	Long insertCalcaHoursStatistics(CalcaHoursStatisticsEntity calcaHoursStatistics);


	Long insertOrUpdateCalcaHoursStatistics(CalcaHoursStatisticsEntity calcaHoursStatistics);


	int updateCalcaHoursStatisticsById(CalcaHoursStatisticsEntity calcaHoursStatistics);


	int updateCoverCalcaHoursStatisticsById(CalcaHoursStatisticsEntity calcaHoursStatistics);


	int deleteCalcaHoursStatisticsById(@Param("id")Long id);


}